[arch-commits] Commit in libid3tag/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 10 01:28:05 EDT 2009


    Date: Friday, April 10, 2009 @ 01:28:05
  Author: eric
Revision: 34558

upgpkg: libid3tag 0.15.1b-3
    License rebuild

Modified:
  libid3tag/trunk/PKGBUILD

----------+
 PKGBUILD |   17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-10 05:25:48 UTC (rev 34557)
+++ PKGBUILD	2009-04-10 05:28:05 UTC (rev 34558)
@@ -2,21 +2,20 @@
 # Maintainer: dorphell <dorphell at archlinux.org>
 pkgname=libid3tag
 pkgver=0.15.1b
-pkgrel=2
+pkgrel=3
 pkgdesc="library for id3 tagging"
+arch=('i686' 'x86_64')
 url="http://www.underbit.com/products/mad/"
+license=('GPL')
 depends=('zlib')
+options=(!libtool)
 source=(ftp://ftp.mars.org/pub/mpeg/$pkgname-$pkgver.tar.gz id3tag.pc)
-url="http://www.underbit.com/products/mad/"
 md5sums=('e5808ad997ba32c498803822078748c3' 'cd5ea001dc24505040b781ad1de9ddf2')
-arch=('i686' 'x86_64')
-license=('GPL')
-options=(!libtool)
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  install -D -m644 $startdir/src/id3tag.pc $startdir/pkg/usr/lib/pkgconfig/id3tag.pc
+  make DESTDIR=$pkgdir install || return 1
+  install -D -m644 $srcdir/id3tag.pc $pkgdir/usr/lib/pkgconfig/id3tag.pc
 }



More information about the arch-commits mailing list